# Interface IWorkbenchPropertyPage

All Superinterfaces:
  `IDialogPage, IPreferencePage`

All Known Implementing Classes:
  `PropertyPage, WizardPropertyPage`

public interface IWorkbenchPropertyPage extends IPreferencePage
Interface for workbench property pages. Property pages generally show up in the workbench's Property Pages dialog.

Clients should implement this interface and include the name of their class in an extension contributed to the workbench's property page extension point (named `"org.eclipse.ui.propertyPages"`). For example, the plug-in's XML markup might contain:

    <extension point="org.eclipse.ui.propertyPages">
         <page id="com.example.myplugin.props"
            name="Knobs"
            objectClass="org.eclipse.core.resources.IResource"
            class="com.example.myplugin.MyPropertyPage" />
    </extension>

Property pages that support multiple selected objects should implement `IWorkbenchPropertyPageMulti` instead.

See Also:
  - `IWorkbenchPropertyPageMulti`

## Method Summary

Modifier and Type
Method
Description
`IAdaptable`
`getElement()`
Returns the object that owns the properties shown in this page.
`void`
`setElement(IAdaptable element)`
Sets the object that owns the properties shown in this page.

### Methods inherited from interface IDialogPage

`createControl, dispose, getControl, getDescription, getErrorMessage, getImage, getMessage, getTitle, performHelp, setDescription, setImageDescriptor, setTitle, setVisible`

### Methods inherited from interface IPreferencePage

`computeSize, isValid, okToLeave, performCancel, performOk, setContainer, setSize`

## Method Details

### getElement

IAdaptable getElement()
Returns the object that owns the properties shown in this page.

Returns:
  the object that owns the properties shown in this page

### setElement

void setElement(IAdaptable element)
Sets the object that owns the properties shown in this page. The page is expected to store this object and provide it if `getElement` is called.

As of Eclipse 3.2 the org.eclipse.ui.propertyPages extension point now supports non IAdaptable inputs. An input that is not an IAdaptable will be wrapped in an IAdaptable by the workbench before it is forwarded to this method.

Parameters:
  `element` - the object that owns the properties shown in this page
See Also:
  - `PropertyDialogAction`